<?php

declare(strict_types=1);

namespace FiloBlu\ExtBlackbirdMenuManager\Block\Adminhtml\Menu\Import;

use Magento\Backend\Block\Template\Context;
use Magento\Backend\Model\Auth\Session;
use Magento\Framework\Json\EncoderInterface;

/**
 *
 */
class Tabs extends \Magento\Backend\Block\Widget\Tabs
{
    /**
     * @var \Blackbird\ContentManager\Block\Adminhtml\Content\Import\Tab\Form
     */
    protected $importForm;

    /**
     * @param \Magento\Backend\Block\Template\Context $context
     * @param \Magento\Framework\Json\EncoderInterface $jsonEncoder
     * @param \Magento\Backend\Model\Auth\Session $authSession
     * @param \FiloBlu\ExtBlackbirdMenuManager\Block\Adminhtml\Menu\Import\Tab\Form $importForm
     * @param array $data
     */
    public function __construct(
        Context $context,
        EncoderInterface $jsonEncoder,
        Session $authSession,
        \FiloBlu\ExtBlackbirdMenuManager\Block\Adminhtml\Menu\Import\Tab\Form $importForm,
        array $data = []
    ) {
        $this->importForm = $importForm;
        parent::__construct($context, $jsonEncoder, $authSession, $data);
    }

    /**
     * {@inheritdoc}
     * @noinspection MagicMethodsValidityInspection
     */
    protected function _construct()
    {
        parent::_construct();
        $this->setId('filoblu_menu_manager_import_tabs');
        $this->setDestElementId('edit_form');
        $this->setTitle(__('Settings'));
    }
}
